<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>AngularJS Data-binding</title>
      
      <!-- AngularJs Javascript File -->
      <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
      
      <!-- Bootstrap Css -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
      <link rel="stylesheet" href="resource/css/binding.css">
   </head>
   <body>
      <div id="angularBinding" class="container">
         <h1 align="center" class="text-primary">AngularJS - Data-binding Example</h1>
         <hr />
         
         <!------ ANGULAR BINDING EXAMPLE ------>
         <div ng-app="" ng-init="f_name = 'Charlotte'; l_name = 'O\' Neil';">
            <div class="form-group">
               	<label for="fName">First name:</label><input id="fName" type="text" class="form-control" ng-model="f_name" />
            </div>            
            <div class="form-group">
               <label for="lName">Last name:</label><input id="lName" type="text" class="form-control" ng-model="l_name" />
           </div>
           <div>&nbsp;</div>
           <hr />
           
           <!------ ANGULAR TWO-WAY BINDING ------>
            <p class="fontSize">
               <strong>First name:</strong>&nbsp;<span id="first_name" class="text-success" >{{ f_name }}</span>
            </p>
            <p class="fontSize">
               <strong>Last name:</strong>&nbsp;<span id="last_name" class="text-success" ng-bind="l_name"></span>
            </p>
         </div>
      </div>
   </body>
</html>